/* @FONTS */

@font-face {
  font-family: 'Bank Gothic';
  src: url('/fonts/BankGothic.woff2') format('woff2'),
       url('/fonts/BankGothic.woff') format('woff'),
       url('/fonts/BankGothic.ttf') format('truetype');
}

@font-face {
  font-family: 'Europe Ext';
  src: url('/fonts/EuropeExtBold.woff2') format('woff2'),
       url('/fonts/EuropeExtBold.woff') format('woff'),
       url('/fonts/EuropeExtBold.ttf') format('truetype');
}




/* @DEFAULTS */

html {
  min-height: 100%;
  font-size: 10px;
  display: flex;
  flex-direction: column;
}

body {
  display: flex;
  flex-grow: 1;
  flex-shrink: 0;
  flex-direction: column;
  min-height: 100%;
  font-family: "Exo 2", Arial;
  font-size: 1.4rem;
  overflow-y: scroll;
}



a {
  color: #777;
  text-decoration: none;
  transition: color 0.3s !important;
}

a:hover {
  color: #d92f2f;
}



h1 {
}

h2 {
}

h3 {
}

h4 {
  padding: 0.3em 0;
  font-size: 1.6em;
  font-weight: 600;
	color: #444;
}

h5 {
  padding: 0.3em 0;
  font-size: 1.4em;
	color: #777;
}

h6 {
}



p {
	padding: 0.5rem 0;
}



input[type="text"], input[type="password"], input[type="file"] {
  box-sizing: border-box;
  margin: 5px 0;
}

input[type="button"] {
  display: block;
  margin-top: 5px !important;
}



strong {
	font-weight: 600;
}



sup {
  font-size: 0.5em;
  vertical-align: top;
}

sub {
  font-size: 0.8em;
}



svg.icon {
	transition: fill 0.3s ease-in-out;
}




/* @CLASSES */

.active, .active span, .active svg.icon {
  color: #d92f2f;
  fill: #d92f2f !important;
}

.red {
  background-color: #d92f2f;
  color: #fff;
}

.small {
  font-size: 0.8em;
}

.info {
  padding: 0.1em 0;
  font-size: 1.2em;
	color: #777;
}



.row {
  background-color: #f3f3f3;
  position: relative;
  z-index: 2;
}

.row.second {
  z-index: 1;
  background-color: #eee;
}

.row > .container {
	position: relative;
  display: table;
  box-sizing: border-box;
  width: 70%;
  min-width: 1200px;
  margin: auto;
  padding: 0 5rem;
  height: 5.4rem;
}

.row > .container > div {
  display: table-cell;
  vertical-align: middle;
}



.table {
	display: table;
	width: 100%;
}

.table > div {
	display: table-row;
	width: 100%;
	height: 2.5rem;
}

.table > div > div {
	display: table-cell;
	width: auto;
}





/* @DIALOGS */

.dialog {
  position: fixed;
  display: none;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  width: fit-content;
  height: fit-content;
  background-color: #fff;
  border-radius: 3px;
  color: #2b2a29;
  overflow: hidden;
  z-index: 10;
}

.dialog .overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: 0;
  background-color: #000;
  opacity: 0.5;
  z-index: -1;
}

.dialog .caption {
  position: relative;
  height: 3rem;
  line-height: 3rem;
  text-align: center;
  font-size: 1.5rem;
  text-transform: uppercase;
  background-color: #eee;
}

.dialog .content {
  position: relative;
  box-sizing: border-box;
  padding: 1.2rem 2rem;
  background-color: #fff;
  font-size: 16px;
}

.dialog .content input[type="button"] {
  text-align: center;
  margin: auto;
}

.dialog .content .field {
  min-height: 2em;
  line-height: 2em;
}

.dialog .content .field .label {
  display: inline-block;
  min-width: 6em;
}

.dialog .content .field.multiple {
  display: inline-block;
}

.dialog .content .field.max {
  display: flex;
}

.dialog .content .field.max .label {
  flex: 0 0 auto;
}

.dialog .content .field.max input {
  flex: 1 1 auto;
  margin-left: 4px;
}

.dialog .content .field label {
  cursor: pointer;
  user-select: none;
}





/* @LOADER */

.loader {
  position: absolute;
  margin: auto;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  width: 64px;
  height: 64px;
  background-image: url("/img/static/loading.gif");
  z-index: 3;
}
